システム必要条件
SAS® Governance and Compliance Manager 7.3

概要

このドキュメントでは、管理ツール、Webアプリケーション、およびレポーティングを含むSAS Governance and Compliance Manager 7.3 のインストールと実行に必要な最小限の必要条件について説明します。 SAS Governance and Compliance Manager 7.3 は、SAS 9.4M5が必須です。

重要: SAS Visual Analytics Administration and Reporting Server and Mid-Tierは、 オプションではないコンポーネントです 。 これらは、 SAS Governance and Compliance Manager 7.3のインストール時に、インストールが必須です

このドキュメントに記載されている情報は、SAS Governance and Compliance Manager 7.3 が出荷された時点のものです。

サーバー層

SAS Governance and Compliance Manager は、分散および非分散(distributed and non-distributed)のSAS LASR Analytic Server配置で利用可能です。 このシステム必要条件は両方のLASR配置に対応しています。 特定のLASR配置に対応するコンポーネントに関しては、見出しにその旨を提示します。

SAS Governance and Compliance Manager

使用する環境を選択してください。

メモリ
64-bitオペレーティングシステムのみサポートされています。 SAS Governance and Compliance Manager 7.3 で推奨される最小限必要なメモリ容量は、8GBです。

SAS Governance and Compliance Manager には、2種類のSAS/ACCESSエンジン(Microsoft SQL Server、 PostgreSQL、ODBC、 もしくは Oracle)と3種類のSAS Metadata Bridge(種類は選択)も含まれます。

SAS Content for Governance and Compliance Manager は、現在有効なライセンスをお持ちのお客さまによる外部ダウンロードサイトからのダウンロードによってのみ入手可能です。

SAS Visual Analytics Administration and Reporting Server

使用する環境を選択してください。

重要: SAS Visual Analytics Administration and Reporting Serverは、 あとから配置したり、オプションの配置とすることは できません。 これらは、 SAS Governance and Compliance Manager 7.3のインストール時に、インストール、設定、実行することが必須です

SAS Visual Analytics Administration and Reporting Serverには、1種類の標準SAS/ACCESSエンジン(種類は選択)が含まれます。 現在は、Hadoopだけがサポートされているオプションです。 SAS Visual Analytics Administration and Reporting Server をソリューションソフトウェアとは別の筐体にインストールすることを推奨しています。

Hadoopのサポートに関して

Base SAS、SAS/ACCESSエンジン、およびSAS Visual Analytics Administration and Reporting Server は、コモディティハードウェア(symmetric)のヘッドノードまたは、別のハードウェア上(asymmetric)のいずれかにインストールすることができます。 そのため、Linux x64 LASRグリッドで実行していても、SAS Visual Analytics Administration and ReportingのDistributed LASR Base SASコンポーネントをWindows x64上にインストールすることができます。

SAS LASR Analytic Server (非分散LASR:Non-distributed LASR)

使用する環境を選択してください。

SAS LASR Analytic Serverは、標準SAS/ACCESSエンジン(種類は選択)1つと共にに提供されます。

SASソフトウェアをHadoop File System(HDFS)と併置する場合は、ご利用のSAS 9.4ソフトウェアのメンテナンスリリース番号によって、併置するHadoop配置の必要条件が異なるため、ご注意ください。

  • SAS 9.4 M4以降の場合は、サポートしているHadoop環境をSAS Plug-ins for Hadoopのファイルで変更します。
  • SAS 9.4 M3以前の場合は、サポートしているHadoop環境をSAS High-Performance Deployment for Hadoopのファイルで変更します。

サポートされているHadoopディストリビューションに関する情報は、http://www.sas.com/offices/asiapacific/japan/service/resources/thirdpartysupport/v94/hadoop/hadoop-distributions.htmlを参照してください。 このプラグインは追加の設定が必要です。 より詳細な情報は、『SAS High-Performance Analytics Infrastructure 3.5: Installation and Configuration Guide』(英語)をhttp://support.sas.com/documentation/onlinedoc/hp-analytics-infrastructure/35/hpaicg.pdfよりご参照ください。

SAS LASR Analytic Server (分散LASR:Distributed LASR) : x64 Linux

このマシンにインストールするSASプロダクト:
  • SAS High-Performance Node Installation 3.7
  • SAS Plug-ins for Hadoop 1.01

サポートしている実行環境:
  • 64-bit版 Oracle Linux 6.1 (x64チップファミリ)
  • 64-bit版 Oracle Linux 7.1 (x64チップファミリ)
  • 64-bit版 Red Hat Enterprise Linux 6.1(x64チップファミリ)
  • 64-bit版 Red Hat Enterprise Linux 7.1(x64チップファミリ)
  • 64-bit版 SUSE Linux Enterprise Server 11 SP1 (x64チップファミリ)
  • 64-bit版 SUSE Linux Enterprise Server 12(x64チップファミリ)

SAS Metadata Server

使用する環境を選択してください。

SASでは、SAS Metadata Server配置において次の事項を推奨しております。

  • 64-bitホストシステムであること
  • チューニング、管理、診断を単純化するため、専用のマシンであること
  • SAS Metadata Serverがマルチスレッドであるため、マルチコアサーバーハードウェアであること
  • 本番環境の配置においては、4コア以上であること

サーバークラスシステムのディスクI/Oパフォーマンスが十分である必要があります。 メモリの必要条件は、使用するプロダクトの組み合わせにかなり依存します。しかしながら、8 GBのRAMがあれば大抵の大規模配置にも対応可能です。 ほとんどの配置において、4GBのRAMで対応できます。より少ないメモリで賄えるような特定の配置が確認されない限り、この4GBという値が最低限必要なメモリ容量だと考えることができます。

データベース

SAS Governance and Compliance Managerは、以下のいずれかのデータベースが必須です。

  • Oracle
  • PostgreSQL
  • Microsoft SQL Server

次のデータベースのバージョンがサポートされています。

  • Oracle Enterprise Edition 9、 10および 11:
    Oracle Enterprise Edition 9、10および 11がサポートされています(Oracle社で明らかになっている不具合のため、バージョン10.2.0.3はサポートされていません)。
    SAS Governance and Compliance Manager は、アプリケーションサーバーで使用されるバージョンのJavaに対応したデータベースベンダーが提供しているJDBC jarファイルが必要です。 適切なJDBC jarファイルは、Oracle ClientおよびOracle Serverと一緒にインストールされます。 もしくは、Oracleドライバを次の場所からダウンロードすることが可能です。?http://www.oracle.com/technology/global/jp/software/tech/java/jdbc/index.html JDBCドライバのバージョンは、データベースのバージョンに対応している必要があります。
  • PostgreSQL 8.4+:
    SAS Governance and Compliance Manager  は、postgresql-9.0-801.jdbc3.jar PostgreSQLドライバを使用します。 PostgreSQLドライバは、下記のWebサイトからダウンロードできます。 http://jdbc.postgresql.org/download.html
  • Microsoft SQL Server 2008、2008 R2、または 2012:
    SAS Governance and Compliance Managerは、以下のドライバを使用可能です。
    • SQL Server Native Client 2008 ドライバ、 “Microsoft SQL Server 2008 Native Client”
    • SQL Server Native Client 2008 R2 ドライバ、 “Microsoft SQL Server 2008 R2 Native Client”
    • SQL Server Native Client 2012 ドライバ、 “Microsoft SQL Server Native Client 11.0”

    注意: Microsft SQL Serverは、Microsoft Windows環境でのみサポートされています。

SAS Governance and Compliance Manager 7.3 は、SAS Shared Servicesのさまざまなコンポーネントに依存します。 たとえば、SAS Workflowは、SAS Shared Servicesのコンポーネントとして、SAS Intelligence Platformとともに提供されます。 また、SAS Governance and Compliance Manager は、WebDAVリポジトリにファイルを格納するためにSAS Content Serverを使用します。

SAS Data Servers

SAS Governance and Compliance Manager には、追加の構成が必要なSASデータサーバーである SAS Governance and Compliance Manager Data Serverが含まれます。

このデータサーバーのサイズは大規模(large)です。

注意: ソフトウェアを構成する際は、各データサーバーのサイズを考慮する必要があります。

インストール、アップデート、もしくは同じマシンへの1つまたは複数のSASデータサーバーの展開につながるプロダクトやソリューションの追加をする前に、共有メモリとセマフォのためにカーネルパラメータの変更が必要です。 小規模、中規模、大規模なデータサーバーの構成に関する詳細は、『 SAS 9.4 Web Applications: Tuning for Performance and Scalability, Second Edition』 の「Tuning the PostgreSQL Data Server」の章をご確認ください。
ドキュメントは、こちらのWebページよりご確認いただけます: http://go.documentation.sas.com/?cdcId=bicdc&cdcVersion=9.4&docsetId=appsrvtuning&docsetTarget=p0pj0sciz5c3b2n1o5qp95b6uo5x.htm&locale=en


ミドル層

SAS Governance and Compliance Manager は、分散および非分散(distributed and non-distributed)のSAS LASR Analytic Server配置で利用可能です。 このシステム必要条件は両方のLASR配置に対応しています。 特定のLASR配置に対応するコンポーネントに関しては、見出しにその旨を提示します。

SAS Governance and Compliance Manager Mid-Tier

使用する環境を選択してください。

メモリ
64-bitオペレーティングシステムのみサポートされています。 SAS Governance and Compliance Manager 7.3 で推奨される最小限必要なメモリ容量は、8GBです。

Apache Solrはサードパーティのオープンソースソフトウェアです。このソフトウェアは、外部ダウンロードサイトよりSAS Governance and Compliance のライセンスがあるお客様がダウンロードすることにより入手することができます。 Apache Solrソフトウェアはオプションですが、インストールし、SAS Governance and Compliance Managerと共に使用することを強く推奨しています。

SAS Visual Analytics Administration and Reporting Mid-Tier

使用する環境を選択してください。

重要: SAS Visual Analytics Administration and Reporting Mid-tierは、 あとから配置したり、オプションの配置とすることは できません。 これらは、 SAS Governance and Compliance Manager 7.3のインストール時に、インストール、設定、実行することが必須です

SAS Visual Analytics Administration and Reporting Mid-Tier をソリューションソフトウェアとは別の筐体にインストールすることを推奨しています。

Web アプリケーションサーバー

SASソリューションソフトウェアをインストールする際、SAS Deployment Managerが必要なWebアプリケーションサーバーとWebサーバーのインストールと設定を行います。

これらのサーバーをインストールするには、ミドル層でサポートしているオペレーティングシステムからいずれか1つを選択します。

注意: これらのサーバーをz/OSまたは、32-bit版 Windowsプラットフォームにインストールすることはできません。


クライアント層

SAS Governance and Compliance Manager Client

使用する環境を選択してください。

SAS Visual Analytics Mobile Clients

SAS Visual Analytics Mobile Clients (SAS Mobile BI)は、App Storeからの無料ダウンロードにより、Apple iPadおよび、Androidタブレットで利用可能です。

Webブラウザ

SASがサポートしているWebブラウザのリストは、新しいプロダクトがテストされ承認されたら更新されます。 最新の情報は、SAS® 9.4(TS1M0以降) がサポートするWebブラウザとプラグインのWebページ(http://www.sas.com/offices/asiapacific/japan/service/resources/thirdpartysupport/v94/browsers.html)よりご確認ください。

注意: SAS Visual Analytics Administration and Reporting では、Adobe Flash Player 11.1以上が必須です。


サードパーティソフトウェア

SASソフトウェアは、特定のサードパーティソフトウェア(オープンソースソフトウェアのみに限定されません)を提供することがあります。これは、サードパーティソフトウェアライセンス契約に基づきライセンスされます。 SASソフトウェアと共に提供されるサードパーティソフトウェアのライセンス情報に関しては、http://support.sas.com/thirdpartylicenses(英語)をご参照ください。

テクニカルサポート

詳細は、SASテクニカルサポートのページ(http://www.sas.com/offices/asiapacific/japan/service/index.html)をご確認ください。

94B482
日本語版更新日:2018/02/02  英語版更新日:2018/01/29
リリース:9.4 (TS1M5), Rev.940_17w47
Pub Code:71397
SASおよびSAS Instituteのプロダクト名またはサービス名は、米国およびその他の国におけるSAS Institute Inc.の登録商標または商標です。 その他、記載されている会社名および製品名は各社の登録商標または商標です。
®は米国で登録されていることを示します。
Copyright© 2018, SAS Institute Inc., Cary, NC, USA. All rights reserved.